# FoundationClasses
TKernel
TColStd

# TColStd_StdMapNodeOfMapOfTransient Class Reference

`#include <TColStd_StdMapNodeOfMapOfTransient.hxx>`

Inheritance diagram for TColStd_StdMapNodeOfMapOfTransient:

[legend]

## Public Member Functions

| TColStd_StdMapNodeOfMapOfTransient (const Handle(Standard_Transient)&K, const TCollection_MapNodePtr &n)
Handle_Standard_Transient & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | myKey

## Constructor & Destructor Documentation

TColStd_StdMapNodeOfMapOfTransient::TColStd_StdMapNodeOfMapOfTransient | ( | const Handle(Standard_Transient)& | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_StdMapNodeOfMapOfTransient::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Handle_Standard_Transient& TColStd_StdMapNodeOfMapOfTransient::Key | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient TColStd_StdMapNodeOfMapOfTransient::myKey `[private]`

The documentation for this class was generated from the following file:

- TColStd_StdMapNodeOfMapOfTransient.hxx